package com.alibaba.druid.sql.dialect.mysql.ast;

import com.alibaba.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MySqlUseIndexHint extends MySqlIndexHintImpl {
   public void accept0(MySqlASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.getIndexList());
      }

      visitor.endVisit(this);
   }

   public MySqlUseIndexHint clone() {
      MySqlUseIndexHint x = new MySqlUseIndexHint();
      this.cloneTo(x);
      return x;
   }
}
